experiments.droneControl

## Enum ModelConstruction

- java.lang.Object
- - java.lang.Enum<ModelConstruction>
  - - experiments.droneControl.ModelConstruction

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ModelConstruction>

    public enum ModelConstruction
    extends java.lang.Enum<ModelConstruction>

Defines the different ways to construct models.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`FULL` The full.
`HIGHEST_CRITICITY` The highest criticity.
`HIGHEST_SENSIBILITY` The highest sensibility.

### Method Summary

All Methods Static Methods Concrete Methods
`static ModelConstruction` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ModelConstruction[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### FULL

    public static final ModelConstruction FULL

The full.

#### HIGHEST_SENSIBILITY

    public static final ModelConstruction HIGHEST_SENSIBILITY

The highest sensibility.

#### HIGHEST_CRITICITY

    public static final ModelConstruction HIGHEST_CRITICITY

The highest criticity.

### Method Detail

#### values

    public static ModelConstruction[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ModelConstruction c : ModelConstruction.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ModelConstruction valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null